build, test and lint:
    image: "rust:1.86-bookworm"
    interruptible: true
    script:
        - apt update -qy
        - apt install -qy build-essential pkg-config clang libclang-dev libssl-dev gettext zsh
        - rustup component add clippy
        - rustup component add rustfmt
        - cargo build
        - cargo clippy --tests --no-deps --workspace
        - cargo fmt --all -- --check
        - cargo test --workspace
